## libequihash 1.0.6

=== Makefile ===
CXXFLAGS=-Wall -g -O3 -std=c++17 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -fasynchronous-unwind-tables -fpic -Werror=format-security -Wl,-z,defs -Wl,-z,relro -ftrapv -Wl,-z,noexecstack
LIBS=-lsodium
PREFIX?=/usr/local
SOEXT?=so
EXTRA_CXXFLAGS=-fstack-clash-protection
#EXTRA_CXXFLAGS+=-march=native 
INSTALL?=install

SYS=$(shell gcc -dumpmachine)
ifneq (, $(findstring x86_64, $(SYS)))
    EXTRA_CXXFLAGS+=-fcf-protection=full
endif

all: libequihash.so libequihash.a

android: EXTRA_SOURCES=jni.cc
android: CXXFLAGS+=-I$(SODIUM) -I$(SODIUM)/sodium -L.
android: libequihash.so
android: EXTRA_CXXFLAGS=

equihash.o: equihash.cc equihash.h equihash.hpp Makefile
	$(CXX) -c $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o equihash.o equihash.cc

libequihash.so: equihash.o Makefile $(EXTRA_SOURCES)
	$(CXX) -shared $(CXXFLAGS) $(EXTRA_CXXFLAGS) -Wl,-soname,libequihash.so.0 -o libequihash.so equihash.o $(EXTRA_SOURCES) $(LIBS)

libequihash.a: equihash.o
	ar rcs $@ $^

bench: equihash.cc equihash.hpp equihash-test.cc Makefile libequihash.so
	$(CXX) -Wall -march=native -O3 -std=c++17 equihash-test.cc $(LIBS) -L. -lequihash -o bench

libequihash.pc:
	echo "prefix=$(PREFIX)" >libequihash.pc
	cat libequihash.pc.skel >>libequihash.pc

install: $(DESTDIR)$(PREFIX)/lib/libequihash.$(SOEXT) $(DESTDIR)$(PREFIX)/lib/libequihash.a $(DESTDIR)$(PREFIX)/include/equihash.h $(DESTDIR)$(PREFIX)/share/pkgconfig/libequihash.pc

$(DESTDIR)$(PREFIX)/lib/libequihash.$(SOEXT): libequihash.$(SOEXT)
	$(INSTALL) -D $< $@


$(DESTDIR)$(PREFIX)/lib/libequihash.a: libequihash.a
	$(INSTALL) -D -m 0644 $< $@

$(DESTDIR)$(PREFIX)/include/equihash.h: equihash.h
	$(INSTALL) -D -m 0644 $< $@

$(DESTDIR)$(PREFIX)/share/pkgconfig/libequihash.pc: libequihash.pc
	$(INSTALL) -D -m 0644 $< $@

clean:
	rm -f bench libequihash.so libequihash.pc libequihash.a equihash.o
