=== debian/changelog ===
libequihash (1.0.6-2) unstable; urgency=low

  * No longer builds the python3-equihash binary (all) package.  This binary
    package is to be replaced by python3-pyequihash (>= 0.2-1) as built from
    the new pyequihash source package.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 28 Jan 2023 12:51:16 +0100

libequihash (1.0.6-1) unstable; urgency=low

  * New upstream. Missed 1.0.5. Upstream changes:
    [ 2023-01-09  stf <7o5rfu92t@ctrlc.hu> ]
    - Makefile: [fix] also disable -march=native to enable
      crosscompilation
    [ 2023-01-08  stf <7o5rfu92t@ctrlc.hu> ]
    - Makefile: [mod] excluded bench target from all in makefile, since
      it is not very portable
    - python/setup.py: [mod] bumped v of py bindings to 0.2

  [ lintian-brush ]
  * d/upstream/metadata: Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository-Browse.
  * d/control: Update standards version to 4.6.2, no changes needed.
  * d/rules: Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 09 Jan 2023 13:45:24 +0100

libequihash (1.0.4-2) unstable; urgency=low

  * Reupload in order to force a rebuild attempt on the buildd's.  I fail
    to reproduce the error in building on my local amd64 sbuild instance; the
    error ("FTBFS on !x86") on the buildd site might be transient.  This
    should finally: Closes: #1024239.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Jan 2023 14:09:49 +0100

libequihash (1.0.4-1) unstable; urgency=low

  * New upstream.
    - Set gcc flag -fstack-clash-protection on amd64 only.  Tnx Stefan.
      Closes: #1024239.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 30 Dec 2022 13:32:21 +0100

libequihash (1.0.3-1) unstable; urgency=low

  * New upstream.
    - Do net set gcc flags "-march=native -fstack-clash-protection" on i386.
      This (party) fixes #1024239 "baseline violation on i386 and FTBFS on
      !x86".  tnx Adrian Bunk.
    - The build failure reported in "binary-any FTBFS" was not reproduced
      with this upstream release.  Tnx again Adrian Bunk. (Closes: #1024238).
  * d/rules: disable python tests: these currently need a system installed
    libequihash.so.0.
  * d/copyright: don't use ', ' but ' ' as filename separator, tnx lintian.
  * d/python3-equihash.docs: install upstream python README.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 30 Dec 2022 11:35:14 +0100

libequihash (1.0.2-3) unstable; urgency=low

  * Reupload as source only.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 13 Nov 2022 09:42:25 +0100

libequihash (1.0.2-2) unstable; urgency=low

  * d/copyright: fix up, thanks Thorsten Alteholz.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 08 Nov 2022 07:58:18 +0100

libequihash (1.0.2-1) unstable; urgency=low

  * New upstream: no longer ships debian/.  Thanks Stefan.
  * First upload to Debian archive (Closes: #1021433).
  * d/control: change Maintainer from Stefan Marsiske to myself, add Uploaders:
    jdx5yg90@ctrlc.hu, as agreed upon with upstream.
  * d/control: enhance descriptions reusing blurb from ITP.
  * d/control: Build-Depends: add missing libsodium-dev.
  * d/rules,control,libequihash.install: rename package libequihash to
    libequihash0, in order to match soname.
  * d/control: add missing ${shlibs:Depends} to libequihash0 Depends.
  * d/README.Debian: remove: is copy of information in package description.
  * d/libequihash0.docs: added: install upstream README.md.
  * d/copyright: cleanup; add myself on debian/*.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 28 Oct 2022 15:30:30 +0200

libequihash (1.0-1) unstable; urgency=low

  * Initial release.

 -- Stefan Marsiske <sphinx@ctrlc.hu>  Thu, 09 Jun 2022 21:09:55 +0200
