=== debian/control ===
Source: libequihash
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), libsodium-dev
Standards-Version: 4.6.2
Homepage: https://github.com/stef/equihash/
Rules-Requires-Root: no

Package: libequihash-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libequihash0 (= ${binary:Version}), ${misc:Depends}
Description: memory-hard Proof-of-Work with fast verification - C development files
 Equihash implements the algorith as described in "Equihash: Asymmetric
 Proof-of-Work Based on the Generalized Birthday Problem" by Alex Biryukov and
 Dmitry Khovratovich, 2016, DOI:10.14722/ndss.2016.23108.  This code, by Stefan
 Marsiske, is a fork of an earlier implementation by Khovratovich at
 https://github.com/khovratovich/equihash/ ; it provides a library, a C API and
 Python bindings.  The cryptographic password storage SPHINX (pwdsphinx and
 libsphinx) depend upon equihash.
 .
 This package offers the C library development files.

Package: libequihash0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
   build-essential,
   libsodium23 (>= 1.0.18)
Description: memory-hard Proof-of-Work with fast verification - C library
 Equihash implements the algorith as described in "Equihash: Asymmetric
 Proof-of-Work Based on the Generalized Birthday Problem" by Alex Biryukov and
 Dmitry Khovratovich, 2016, DOI:10.14722/ndss.2016.23108.  This code, by Stefan
 Marsiske, is a fork of an earlier implementation by Khovratovich at
 https://github.com/khovratovich/equihash/ . The cryptographic password storage
 SPHINX (pwdsphinx and libsphinx) depend upon equihash.
 .
 This library contains an optimized C++ implementation.
