=== debian/changelog ===
libequihash (1.0.9-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:44:44 +0200

libequihash (1.0.9-1) unstable; urgency=low

  * New upstream.  Upstream changes:
    - Various improvements in Makefile and ehpuzzle.

  [ Stefan Marsiske ]
  * set correct d/watch
  * fixed a bunch of lintian issues

  [ Joost van Baal-Ilić ]
  * d/changelog: sync email address as used in d/control and here.
  * d/changelog: drop confusing remark about debian/ vs upstream.
  * d/control: add Vcs-* fields.

 -- Stefan Marsiske <jdx5yg90@ctrlc.hu>  Sat, 29 Jul 2023 01:48:24 +0100

libequihash (1.0.8-1) unstable; urgency=low

  * New upstream. Upstream changes:
    - New CLI mode size, notification interface & simple wrapper for it, and a
      new puzzle wrapper.

 -- Stefan Marsiske <jdx5yg90@ctrlc.hu>  Tue, 31 Jan 2023 17:35:24 +0100

libequihash (1.0.7-1) unstable; urgency=low

  * New upstream. Upstream changes:
    - Makefile: [enh] new portable CLI frontend

 -- Stefan Marsiske <jdx5yg90@ctrlc.hu>  Tue, 31 Jan 2023 17:35:24 +0100
