=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: libequihash
 Section: utils
 Priority: optional
-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
 Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), libsodium-dev
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/stef/equihash/
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libequihash
+Vcs-Git: https://salsa.debian.org/debian/libequihash.git
 
 Package: libequihash-dev
 Section: libdevel
@@ -32,6 +35,7 @@
 Pre-Depends: ${misc:Pre-Depends},
    build-essential,
    libsodium23 (>= 1.0.18)
+Suggests: libequihash-bin
 Description: memory-hard Proof-of-Work with fast verification - C library
  Equihash implements the algorith as described in "Equihash: Asymmetric
  Proof-of-Work Based on the Generalized Birthday Problem" by Alex Biryukov and
@@ -41,3 +45,17 @@
  SPHINX (pwdsphinx and libsphinx) depend upon equihash.
  .
  This library contains an optimized C++ implementation.
+
+Package: libequihash-bin
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: memory-hard Proof-of-Work with fast verification - CLI frontend executable
+ Equihash implements the algorith as described in "Equihash: Asymmetric
+ Proof-of-Work Based on the Generalized Birthday Problem" by Alex Biryukov and
+ Dmitry Khovratovich, 2016, DOI:10.14722/ndss.2016.23108.  This code, by Stefan
+ Marsiske, is a fork of an earlier implementation by Khovratovich at
+ https://github.com/khovratovich/equihash/ .
+ .
+ This package contains a simple CLI executable to benchmark, solve and verify
+ Equihash Challenges.
