=== debian/changelog ===
libequihash (1.0.10-2) unstable; urgency=low

  * Fix bug: Previous build 1.0.10-1 contained
    dangling symlink lrwxrwxrwx root/root 0 2024-12-08 14:50
    ./usr/lib/x86_64-linux-gnu/libequihash.so.0 ->
    /build/reproducible-path/libequihash-1.0.10/debian/tmp/usr/lib/libequihash.so
    .
    - d/libequihash0.install : change usr/lib/libequihash.so.0 in
      usr/lib/libequihash.so
    - d/not-installed : change usr/lib/libequihash.so in
      usr/lib/libequihash.so.0

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Dec 2024 15:07:54 +0100

libequihash (1.0.10-1) unstable; urgency=low

  * New upstream, released Aug 25, 2024.  Upstream changes:
    - [mod] add rule to makefile to install libequihash.so.0 as a softlink
    - [mod] compile with msvc
    - [fix] implicit copy constructor vs explicit copy assignment operator

  * d/libequihash0.install: change u/l/libequihash.so to libequihash.so.0.
  * d/not-installed: added: list libequihash.so.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Dec 2024 15:50:48 +0100
