=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libequihash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
+Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
 Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), libsodium-dev
 Standards-Version: 4.6.2
