=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 export PREFIX=/usr
 
 %:
-	dh $@ -p libequihash-dev -p libequihash0
+	dh $@ -p libequihash-dev -p libequihash0 -p libequihash-bin
