=== debian/watch ===
version=4
opts="\
dversionmangle=s/\+dfsg.*$//,\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/libequihash-$1\.tar\.gz/,\
repack,repacksuffix=+dfsg,\
" \
https://github.com/stef/equihash/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
